- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP5TableEOLGroup Class Reference

`#include <WP5TableEOLGroup.h>`

Inheritance diagram for WP5TableEOLGroup:

## Public Member Functions
| WP5TableEOLGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP5TableEOLGroup ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP5Listener *listener)
Public Member Functions inherited from WP5VariableLengthGroup
| WP5VariableLengthGroup ()
virtual | ~WP5VariableLengthGroup ()
Public Member Functions inherited from WP5Part
virtual | ~WP5Part ()

## Private Attributes
unsigned char | m_cellVerticalAlignment
bool | m_useCellAttributes
bool | m_useCellJustification
unsigned char | m_columnNumber
unsigned char | m_colSpan
unsigned char | m_rowSpan
bool | m_spannedFromAbove
unsigned short | m_cellAttributes
unsigned char | m_cellJustification

## Additional Inherited Members
Static Public Member Functions inherited from WP5VariableLengthGroup
static WP5VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP5Part
static WP5Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP5VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

WP5TableEOLGroup::WP5TableEOLGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

WP5TableEOLGroup::~WP5TableEOLGroup | ( |  | ) |

## Member Function Documentation

void WP5TableEOLGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Reimplemented from WP5VariableLengthGroup.

void WP5TableEOLGroup::parse | ( | WP5Listener * | listener | ) |
| virtual

Implements WP5Part.

## Member Data Documentation

unsigned short WP5TableEOLGroup::m_cellAttributes
| private

Referenced by _readContents(), and parse().

unsigned char WP5TableEOLGroup::m_cellJustification
| private

Referenced by _readContents().

unsigned char WP5TableEOLGroup::m_cellVerticalAlignment
| private

Referenced by _readContents().

unsigned char WP5TableEOLGroup::m_colSpan
| private

Referenced by _readContents(), and parse().

unsigned char WP5TableEOLGroup::m_columnNumber
| private

Referenced by _readContents().

unsigned char WP5TableEOLGroup::m_rowSpan
| private

Referenced by _readContents(), and parse().

bool WP5TableEOLGroup::m_spannedFromAbove
| private

Referenced by _readContents(), and parse().

bool WP5TableEOLGroup::m_useCellAttributes
| private

Referenced by _readContents(), and parse().

bool WP5TableEOLGroup::m_useCellJustification
| private

Referenced by _readContents().

The documentation for this class was generated from the following files:

- WP5TableEOLGroup.h
- WP5TableEOLGroup.cpp